Remote Request Hook API
Read this page in wide view mode from here
The Remote Request Hook service is not meant to be called directly by users from their browsers, but instead it is called by Witboost. Therefore, the base URL of the API will depend on the network address given by the Kubernetes network e.g. http://<service k8s endpoint name>.<namespace>:<port>. Below, we are providing an example base URL, yours may differ.
Send approval request
Receive a request from witboost about an ongoing action started by a user that requires a third-party interaction on your end
header Parameters
| X-Request-ID required | string <uuid> Examples:
A unique identifier for the request that can be used to trace the request in the logs. |
Request Body schema: application/jsonrequired
An object containing all the input data received by the action where the remote request hook is attached
| respondToUrl required | string URL to be contacted to notify that the hook is completed. This represents the fact that the third-party interaction has been performed on your end. e.g. An access request that has been accepted on your dedicated platform |
| fields required | object A free-form object containing all the action's input data coming from witboost |
Responses
Request samples
- Payload
{- "fields": {
- "identities": [
- "john.doe_company.com"
], - "verb": "grant",
- "motivation": "I need access to this resource",
- "domain": "finance",
- "role": "data_engineer"
}
}Response samples
- 202
- 400
- 401
- 500
{- "hookInfo": {
- "status": "accepted",
- "message": "request has been accepted on the external system"
}
}